
# v1.5.0 - 2024-05-22 - Awls To Armor

## New Features

* #127 - Add zinc buttons and clasps
* #123 - Add a new tool: wooden spindle
* #122 - Use 6 flax fibers + stick + spindel to craft 2 flax twines
* #57 - Craft thread by dyeing flax twine into different colors
* #57 - Can turn colored cloth back into 2 colored threads

## Optimizations

* #120 - Remove legacy panels to save on memory and loading times
* #119 - Remove obsolete fpHandTransform

## Tweaks And Balancing

* #124 - Increase warmth of some warm/wollen vanilla clothes
* #118 - Leather bundle crafting needs 2 leather instead of 3
	 This makes it more in line with the ratio of linen
	 vs leather in gambeson vs leather armor crafting.
* #117 - XSkills armor crafting compatibility (Thanx, Jon!)
	 Leather and gambeson armor crafting needs an awl

## Compatibility With Other Mods

* #126 - Add awls and buttons to Hide & Fabrics wool & cotton gambeson
* #30 - Compatibility with Hide & Fabric - craft more with wool and linen

## Translations

* #150 - Update Japanese translation (Thank you, Macoto Hino-san!)

# v1.4.3 - 2024-04-07 - Death By A Thousand Needles

## Tweaks And Balancing

* #115 - Needles are no longer a tool:
  + needles are normal items
  + stack to 64
  + are consumed entirely in all recipes
  + Crafting horn or bone needles give you twice the amount
  + trader sell more needles per stack
  + awls are used as tool when crafting needles, not as input

## Compatibility With Other Mods

* #116 - Wildcraft Trees: sewingkits made with driftwood need a needle

# v1.4.2 - 2024-04-03 - Tablecloth Fixes

## New Features

* #114 - Soak aged hide in lime or borax to create soaked hide

## Bugfixes

* #113 - Tablecloth could not be crafted (Thanx, Lonan!)

# v1.4.1 - 2024-04-02 - Needles in Soil

## Tweaks And Balancing

* #111 - Reduce needles found in bony soil

## Bugfixes

* #112 - Cloth blocks were no longer craftable (Thanx, Calous!)

# v1.4.0 - 2024-03-24 - All About Panels

## Optimizations

*  #89 - Use the new decoration code to cut down on block variants.
	 This requires a remapping of the world and replacement of
	 all panels placed on walls!
	 All panels marked with (Legacy) will be removed in the
	 next mod release, so please convert all of them!

## Bugfixes

* #110 - Fix transform of flax twine in scroll racks

## New Features

* #108 - Leather, hide and cloth bundles can be put into scroll racks
* #107 - Panning bony soil can yield bone or horn needles or copper thorns
* #106 - Add thin leather, crafted from hammering leather down
* #101 - Add new darker leather colors for brown, blue, green and red
*  #92 - Add pelt, aged hide, scraped hide and rough leather bundles
*  #91 - Leather, hide and pelt bundles can be stored on the ground
*  #90 - Cure raw hides with salt into "Aged hide"
*  #90 - Cure scraped hides with salt into "Scraped hide"
*  #88 - Add scraped hide, rough leather, pelt panels and blocks
*  #88 - Rename "hide panels" to "Aged hide panels"

## Tweaks And Balancing

* #105 - Crafting plain gambeson needs needles
* #103 - Boost leather panel output by 100%
* #102 - Needles can go on toolracks
* #101 - Black leather panels and blocks are now black, not dark gray
*  #98 - Book crafting requires an awl and flax twine
*  #96 - Crafting requires an awl: backpacks, leather bracers & gloves, brigandine helmets
*  #94 - Cloth panel and tablecloth crafting gives twice the amount
*  #87 - Better transforms for panels and table cloth (increased size)
*  #86 - Boost output of hide, pelt and rough leather panels by 50% .. 100%
*  #85 - Greatly reduced durability costs for crafting or using new tools
*  #84 - Increase attack range and power of metal, aged and ebony rulers

## Compatibility With Other Mods

* #97 - Add compatibility with More Backpack Colors
* #77 - Add compatibility with Wildcraft: Trees and Shrubes (rulers, panel crafting)

# v1.3.1 - 2024-03-02 - Antlers & Horns

## Bugfixes

* #82 - Remove `class: ItemSword` from rulers in preparation for 1.19.4
* #81 - Horn buttons could not be crafted (Thanx, Dana!)

## New Features

* #80 - Bronze armlets are now ground storable

# v1.3.0 - 2024-02-11 - Color Your World

## Bugfixes

* #78 - Merchant bracelet shelf and display case placement was wrong
* #68 - Fix warnings about texture null in bone needle
* #63 - All arm wearables (like tailor Needle Puff) were broken in 1.19

## New Features

* #78 - Merchant bracelet can be stored on ground
* #76 - Add some checkered cloth to Artisan and Clothing traders
* #76 - Clothing trader buys horn buttons
* #75 - Tailors can craft small cloth panels from large cloth panels
* #70 - Add buttons and clasps made from horns and antlers
* #69 - Add horn stitching awls made from antlers
* #49 - Ruler crafting can use graphite ore, too
* #41 - Add horn needles

## Tweaks

* #75 - Cloth panels can be crafted by anyone (If you get the cloth!)

## Compatibility With Other Mods

* #49 - Bricklayers: Crafting metal rulers requires a polishing set

## Compatibility With VS 1.19

* #67 - Make cloth and leather blocks map colors "settlement"

# v1.2.2 - 2024-01-08 - Check It Out

## Bugfixes

* #62 - Checkered cloth blocks could not be crafted
* #61 - Crafting checkered cloth yielded only 1 instead of 2 pieces

## New Features

* #58 - Flax twine can now be stored on ground and in scroll racks

## Tweaks

* #59 - Shell button recipe is shapeless for easier crafting (Thanx nebux!)

# v1.2.1 - 2023-12-10 - Form It

## Tweaks

* #55 - Metal bands can be stored on tool racks
* Tweak button descriptions
* Add crafting description to metal bands

## Bugfixes

* #51 - Button and Clasp mold was not clayformable
* #50 - Update Readme.md with all the new features

## Compatibility With Other Mods

* #53 - Compatibily with Wildcraft Trees (wooden rulers of new wood types)

# v1.2.0 - 2023-12-02 - Stitch It Up

## New Features

* #47 - Tailors can now craft the needle puff
* #46 - Allow bracelets & needlepuff on ground, in shelves and display cases
* #45 - Add chairs made with checkered cloth
* #43 - Sewing kits are now ground storable, better transforms

# v1.1.0 - 2023-11-19 - Lay It Down

## Tweaks And Balancing

* #40 - Needles are now a tool and have durability
* #40 - Crafting a sewing kit needs any needle, which is consumed in the process
* #39 - Vanilla cloth is now ground storable on any flat surface
* #33 - Metal bands, rulers and buttons can be recycled into metal bits
* #32 - More clothing recipes use buttons and clasps, or needles

## New Features

* #38 - Add checkered cloth bundles
* #37 - Add checkered cloth panels
* #37 - Add small colored plain/checkered cloth (for decoration)
* #34 - Add buttons and clasps made from copper
* #31 - Metal buttons can now be cast with a mold
* #27 - Buttons are now ground storable on any flat surface
* #26 - Metal and gem buttons are now shiny or even sparkly
* #25 - Add buttons and clasps made from sea shells
* #15 - Add square colored plain or checkered tablecloths
* #14 - Add chiselable blocks made from colored cloth panels
* #13 - Add panels made from colored cloth

## Translations

* #28 - Add Japanese translation (Thank you, Macoto Hino!)

# v1.0.0 - 2023-11-12 - Bundle up

## Vanilla Tweaks

* Crafting of sewing kits requires a needle
* Crafting of some leather items requires a stitching awl
* Crafting of some clothes requires buttons and clasps, or needles

## New Features

* #12 - Add bone needles for crafting
* #9 - Add metal rulers to teach naughty drifters a lesson
* #8 - Add colored leather blocks
* #7 - Add colored leather panels
* #6 - Add hide panels
* #5 - Add wooden rulers to measure things and fend of naughties
* #4 - Add colored leather bundles (rolls of pre-cut leather)
* #3 - Smith metal thorns for stitching awls
* #2 - Add buttons and clasps
* #1 - Add stitching awls for leatherworking

